#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

add_subdirectory( protocols )
add_subdirectory( icons )

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_BINARY_DIR}
  ${CMAKE_SOURCE_DIR}
  ${CMAKE_SOURCE_DIR}/libtdenetwork
  ${CMAKE_SOURCE_DIR}/kaddressbook/interfaces
  ${CMAKE_SOURCE_DIR}/libtdepim
  ${CMAKE_SOURCE_DIR}/certmanager/lib
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
  ${GPGME_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### other data ################################

tde_create_translated_desktop(
  SOURCE cryptosettings.desktop
  DESTINATION ${SERVICES_INSTALL_DIR}/kaddressbook
  PO_DIR kaddressbook-desktops
)

tde_create_translated_desktop(
  SOURCE kaddressbookimprotocol.desktop
  DESTINATION ${SERVICETYPES_INSTALL_DIR}
  PO_DIR kaddressbook-desktops
)


##### kabim (static) ############################

tde_add_library( kabim STATIC_PIC AUTOMOC
  SOURCES
    imeditorwidget.cpp imeditorbase.ui imaddressbase.ui imaddresswidget.cpp
)


##### libkaddrbk_cryptosettings (module) ########

tde_add_kpart( libkaddrbk_cryptosettings AUTOMOC
  SOURCES cryptowidget.cpp
  LINK kabinterfaces-shared kleopatra-shared tdeabc-shared
  DESTINATION ${PLUGIN_INSTALL_DIR}
)
